Summary:       A front end for testing other programs
Name:          dejagnu
Version:       1.6.3
Release:       4%{?dist}
License:       GPLv3+
URL:           http://www.gnu.org/software/dejagnu/
Source0:       http://ftp.gnu.org/gnu/dejagnu/dejagnu-%{version}.tar.gz
Patch3000:     rhbz460153.patch

BuildArch:     noarch
BuildRequires: gcc gcc-c++ make
BuildRequires: expect texinfo

Requires:      expect


%description
DejaGnu is an Expect/Tcl based framework for testing other programs.
DejaGnu has several purposes: to make it easy to write tests for any
program; to allow you to write tests which will be portable to any
host or target where a program must be tested; and to standardize the
output format of all tests (making it easier to integrate the testing
into software development).

%prep
%autosetup -p1

%build
%configure -v

%check
TMP=`mktemp`
export SCREENDIR=`mktemp -d`
(make check RUNTESTFLAGS="--ignore pr48155.exp stats.exp"; echo $?) >> $TMP
RESULT=`tail -n 1 $TMP`
cat $TMP
rm -f $TMP
rm -rf $SCREENDIR
exit $RESULT

%install
%make_install
rm -f %{buildroot}%{_infodir}/dir
chmod a-x %{buildroot}/%{_datadir}/dejagnu/runtest.exp
make DESTDIR=%{buildroot} install-man
install -D -m 644 doc/dejagnu.info %{buildroot}/%{_infodir}/%{name}.info

%files
%license COPYING
%doc NEWS README AUTHORS ChangeLog doc/dejagnu.texi
%{_bindir}/runtest
%{_bindir}/dejagnu
%{_datadir}/dejagnu
%{_includedir}/dejagnu.h
%{_mandir}/*/*
%{_infodir}/dejagnu*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 31 2023 wynnfeng <wynnfeng@tencent.com> - 1.6.3-1
- initial build
